Bug 52860 - Kernel oops after swap on, init and all process be killed.
Kernel oops after swap on, init and all process be killed.
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-29 23:37 EDT by Neo
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-30 22:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neo 2001-08-29 23:37:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.18 i686; zh-CN; rv:0.9.1)
Gecko/20010607

Description of problem:
After install roswell, I restart my computer(AMD athlon 1.2G
KT133A/via8363A+VT82c686B SB!Live ATI Radeon 32MDDR 512M memery Pineeor
16xDVD-ROM on hdc and IBM40G ata100 on hda 20GATA100 on hdb )
I installed roswell on hdb1 (full install) 128M swap on hdb5.
The installation was succeed.
When I reboot to start roswell with grub or floppy disk, the kernel ooops
after swap on.
It print a lot of debug message then died.
I try to use both ext2 and ext3 partition but they are same died.
And I try to boot with "nousb" it seem no use.
And I use rescue can access this system seem everything is good.
But start with installed kernel it always oops.
The ooops message is too much, if you need it I can post it for you, but I
dont think it useful. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install roswell with athlon 1.2G via KT133A ATI radeon 512M memery.
2.reboot to start system
3.waiting for oops.
	

Actual Results:  N/A

Additional info:
Comment 1 Arjan van de Ven 2001-08-30 03:57:02 EDT
Ok I think I've seen such a problem before.

Could you try booting from the CD in rescue mode and install the i686 kernel
from the CD and see if that works ?
If so, can you then download the 2.4.7-2.18 kernel from
http://people.redhat.com/arjanv/testkernels/athlon
and try booting that with "noathlon" as kernel flag ?
Comment 2 Neo 2001-08-30 22:33:28 EDT
Yes, use 2.4.7-2.i686 and 2.4.7-2.18.athlon is ok.
When use 2.4.7-2.18 kernel it detect MSI MS-6330 and disable athlon optimiz auto.
So it works and needn't kernel flag "noathlon".
Thank U, Arjan van de Ven!

Comment 3 Arjan van de Ven 2001-08-31 03:31:51 EDT
Ok I'll close this as "fixed in rawhide" as it works for you.

Note You need to log in before you can comment on or make changes to this bug.